classification
Title: [good first issue] Update documentation for 3.8
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, cheryl.sabella, docs@python, matrixise, nanjekyejoannah, utkarsh2102
Priority: normal Keywords: easy, patch

Created on 2019-02-16 00:53 by cheryl.sabella, last changed 2019-05-13 12:57 by utkarsh2102. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12887 merged utkarsh2102, 2019-04-20 16:51
Messages (9)
msg335663 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-16 00:53
Please save this issue for a new contributor.  If you have previously made a pull request to CPython, consider leaving this issue for someone else.  Thanks!

Similar to what PR 9501 did for updating references in the docs from 3.6 to 3.7, an update needs to be done for 3.8.
msg335664 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2019-02-16 02:09
Assigning this to me, to be worked on the mentored sprint at PyCon US Cleveland.
Thanks.
msg335683 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-16 13:31
Awesome!  Thanks. If I find anything else, I'll flag it accordingly.
msg336995 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python triager) Date: 2019-03-02 06:49
@Mariatta this issue https://bugs.python.org/issue36157 also looks like one you can track for the mentored sprint at PyCon.
msg340470 - (view) Author: Utkarsh Gupta (utkarsh2102) * Date: 2019-04-18 07:07
Hey,

I am a new contributor, looking for an issue to start with.
Since this is a "good first issue", I wanted to know if I could take it?

I am myself at a dev sprint and would like to get it fixed :)
Mariatta, let me know if you have any problems with the same?
msg342312 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-13 12:29
New changeset 3e2afd78babe5bd270e7f3b9df8796eeabc79865 by Cheryl Sabella (Utkarsh Gupta) in branch 'master':
bpo-36008: Doc update for 3.8 migration (GH-12887)
https://github.com/python/cpython/commit/3e2afd78babe5bd270e7f3b9df8796eeabc79865
msg342318 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-13 12:49
@Cheryl,

I was reading the last commits on master and I have seen the merge of that PR, but 3.8.0 is not yet in Beta2. Maybe we should fix that in an other PR for the same issue.
msg342320 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-13 12:53
I suggest to remove b2+ and just keep 3.8.0
msg342322 - (view) Author: Utkarsh Gupta (utkarsh2102) * Date: 2019-05-13 12:57
Sure, but ultimately (soon enough) it is going to happen, no?
History
Date User Action Args
2019-05-13 12:57:06utkarsh2102setmessages: + msg342322
2019-05-13 12:53:45matrixisesetmessages: + msg342320
2019-05-13 12:49:19matrixisesetnosy: + matrixise
messages: + msg342318
2019-05-13 12:31:08cheryl.sabellasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-13 12:29:42cheryl.sabellasetmessages: + msg342312
2019-04-20 16:51:48utkarsh2102setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12813
2019-04-18 07:07:26utkarsh2102setnosy: + utkarsh2102
messages: + msg340470
2019-03-02 06:49:17nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg336995
2019-02-16 13:31:38cheryl.sabellasetmessages: + msg335683
2019-02-16 02:09:01Mariattasetassignee: docs@python -> Mariatta

messages: + msg335664
nosy: + Mariatta
2019-02-16 00:53:55cheryl.sabellacreate